[python-coards] 03/04: Run autopkgtests for all supported Python versions
Ghislain Vaillant
ghisvail-guest at moszumanska.debian.org
Tue Feb 28 16:09:35 UTC 2017
This is an automated email from the git hooks/post-receive script.
ghisvail-guest pushed a commit to branch master
in repository python-coards.
commit 6a570ef4f84fe93344b15b43909d53a6d25e2d31
Author: Ghislain Antony Vaillant <ghisvail at gmail.com>
Date: Tue Feb 28 16:02:57 2017 +0000
Run autopkgtests for all supported Python versions
---
debian/tests/control | 22 ++++++++++++++++------
1 file changed, 16 insertions(+), 6 deletions(-)
diff --git a/debian/tests/control b/debian/tests/control
index db4395a..f8d2198 100644
--- a/debian/tests/control
+++ b/debian/tests/control
@@ -1,7 +1,17 @@
-Test-Command: cd $AUTOPKGTEST_TMP
- ; python -c "import coards; coards._test()"
-Depends: python-coards
+Test-Command: set -e
+ ; for py in $(pyversions -r 2>/dev/null)
+ ; do cd "$AUTOPKGTEST_TMP"
+ ; echo "Testing with $py:"
+ ; $py -c "import coards; coards._test()"
+ ; done
+Depends: python-all,
+ python-coards
-Test-Command: cd $AUTOPKGTEST_TMP
- ; python3 -c "import coards; coards._test()"
-Depends: python3-coards
+Test-Command: set -e
+ ; for py in $(py3versions -r 2>/dev/null)
+ ; do cd "$AUTOPKGTEST_TMP"
+ ; echo "Testing with $py:"
+ ; $py -c "import coards; coards._test()"
+ ; done
+Depends: python3-all,
+ python3-coards
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-science/packages/python-coards.git
More information about the debian-science-commits
mailing list